import { TestRunnerConfig } from '../TestRunnerConfig';
import { TestRunner } from '../TestRunner';
export declare type MenuType = 'overview' | 'focus' | 'debug';
export declare const MENUS: {
    OVERVIEW: MenuType;
    FOCUS_SELECT_FILE: MenuType;
    DEBUG_SELECT_FILE: MenuType;
};
export declare class TestRunnerCli {
    private config;
    private runner;
    private serverAddress;
    private terminal;
    private reportedFilesByTestRun;
    private sessions;
    private activeMenu;
    private menuSucceededFiles;
    private menuFailedFiles;
    constructor(config: TestRunnerConfig, runner: TestRunner);
    start(): void;
    private setupTerminalEvents;
    private setupRunnerEvents;
    private focusTestFileNr;
    private logTestResults;
    private logTestResult;
    private logTestCoverage;
    private switchMenu;
    private logSelectFilesMenu;
    private logTestProgress;
    private reportEnd;
}
