import { CoverageSummaryData } from 'istanbul-lib-coverage';
import { TestSession } from './TestSession';
import { CoverageThresholdConfig } from './TestRunnerConfig';
export declare const coverageTypes: (keyof CoverageSummaryData)[];
export interface TestCoverage {
    passed: boolean;
    summary: CoverageSummaryData;
}
export declare function getTestCoverage(sessions: Iterable<TestSession>, coverageThreshold?: CoverageThresholdConfig): TestCoverage;
